ladspa.h not found (Ubuntu 16.04)

MusE is a MIDI/Audio sequencer with recording and editing capabilities, aiming to be a complete multitrack virtual studio for Linux. http://muse-sequencer.org/

Moderators: MattKingUSA, khz, spamatica

fraslo
Establlshed Member
Posts: 14
Joined: Sun Jun 28, 2015 2:51 pm

ladspa.h not found (Ubuntu 16.04)

Postby fraslo » Mon Feb 05, 2018 6:32 pm

Hi,

trying to compile MusE 3.0.2 fails with "ladspa.h" not found, but it resides in "/usr/include". How can I fix this?

Thanks in advance

Frank

spamatica
Establlshed Member
Posts: 127
Joined: Mon Feb 08, 2010 10:38 am

Re: ladspa.h not found (Ubuntu 16.04)

Postby spamatica » Mon Feb 05, 2018 8:18 pm

Hi,

Okay, that is odd, it should be enough, and that is where mine is located.
What procedure are you using to compile, any special flags to cmake, or just ./compile_muse.sh ?

fraslo
Establlshed Member
Posts: 14
Joined: Sun Jun 28, 2015 2:51 pm

Re: ladspa.h not found (Ubuntu 16.04)

Postby fraslo » Mon Feb 05, 2018 8:29 pm

Hi,

thanks for the quick reply. I am using just "./compile_muse.sh" without any flags, but installed missing packages after a few runs.

Frank

spamatica
Establlshed Member
Posts: 127
Joined: Mon Feb 08, 2010 10:38 am

Re: ladspa.h not found (Ubuntu 16.04)

Postby spamatica » Mon Feb 05, 2018 8:39 pm

Aha, it might just be that the configure script is too stupid. delete the build dir before running ./compile_muse.sh again.

fraslo
Establlshed Member
Posts: 14
Joined: Sun Jun 28, 2015 2:51 pm

Re: ladspa.h not found (Ubuntu 16.04)

Postby fraslo » Mon Feb 05, 2018 8:40 pm

Hi,

removing the "build" folder did the trick, compiling right now. I will post a short minimal installation instruction later if I succeed.

Thanks again

Frank

fraslo
Establlshed Member
Posts: 14
Joined: Sun Jun 28, 2015 2:51 pm

[SOLVED] Re: ladspa.h not found (Ubuntu 16.04)

Postby fraslo » Mon Feb 05, 2018 9:02 pm

Hi,

(very) short minimal instructions for compiling Muse 3.0.2 using Ubuntu 16.04 LTS:

1. Install prerequisites for compiling:

Code: Select all

sudo apt install qttools5-dev qttools5-dev-tools libqt5svg5-dev ladspa-sdk git cmake libsndfile1-dev libsamplerate-ocaml-dev libjack-jackd2-dev

2. Follow the official compiling instructions.
3. Run muse3 ;)

These are only the mandatory dependencies to get started

Frank

Edit: prerequisites corrected


Return to “MusE Sequencer”

Who is online

Users browsing this forum: No registered users and 4 guests